|  | Home | Documentation | dom.cpp File Reference updated by Robert van Engelen |

Classes | Namespaces | Typedefs | Functions
dom.cpp File Reference

## Classes

class | soap_dom_attribute
| The xsd__anyAttribute DOM attribute node structure (xsd__anyAttribute is a typedef of soap_dom_attribute). More...
class | soap_dom_element
| The xsd__anyType DOM element node structure (xsd__anyType is a typedef of soap_dom_element). More...

## Namespaces

namespace | SOAP_DOM_EXTERNAL_NAMESPACE

## Typedefs

typedef soap_dom_attribute | xsd__anyAttribute
| The xsd__anyAttribute DOM attribute node structure (xsd__anyAttribute is a typedef of soap_dom_attribute).
typedef soap_dom_element | xsd__anyType
| The xsd__anyType DOM element node structure (xsd__anyType is a typedef of soap_dom_element).

## Functions

SOAP_FMAC3 void SOAP_FMAC4 | soap_serialize_xsd__anyType (struct soap *, const struct soap_dom_element *)
SOAP_FMAC1 void SOAP_FMAC2 | soap_default_xsd__anyType (struct soap *, struct soap_dom_element *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_put_xsd__anyType (struct soap *, const struct soap_dom_element *, const char *, const char *)
SOAP_FMAC1 int SOAP_FMAC2 | soap_out_xsd__anyType (struct soap *, const char *, int, const struct soap_dom_element *, const char *)
SOAP_FMAC3 struct soap_dom_element *SOAP_FMAC4 | soap_get_xsd__anyType (struct soap *, struct soap_dom_element *, const char *, const char *)
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_in_xsd__anyType (struct soap *, const char *, struct soap_dom_element *, const char *)
SOAP_FMAC3 void SOAP_FMAC4 | soap_serialize_xsd__anyAttribute (struct soap *, const struct soap_dom_attribute *)
SOAP_FMAC1 void SOAP_FMAC2 | soap_default_xsd__anyAttribute (struct soap *, struct soap_dom_attribute *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_put_xsd__anyAttribute (struct soap *, const struct soap_dom_attribute *, const char *, const char *)
SOAP_FMAC1 int SOAP_FMAC2 | soap_out_xsd__anyAttribute (struct soap *, const char *, int, const struct soap_dom_attribute *, const char *)
SOAP_FMAC3 struct soap_dom_attribute *SOAP_FMAC4 | soap_get_xsd__anyAttribute (struct soap *, struct soap_dom_attribute *, const char *, const char *)
SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 | soap_in_xsd__anyAttribute (struct soap *, const char *, struct soap_dom_attribute *, const char *)
SOAP_FMAC3 void SOAP_FMAC4 | SOAP_DOM_EXTERNAL_NAMESPACE::soap_markelement (struct soap *, const void *, int)
SOAP_FMAC3 void *SOAP_FMAC4 | SOAP_DOM_EXTERNAL_NAMESPACE::soap_getelement (struct soap *, const char *, int *)
SOAP_FMAC3 int SOAP_FMAC4 | SOAP_DOM_EXTERNAL_NAMESPACE::soap_putelement (struct soap *, const void *, const char *, int, int)
SOAP_FMAC3 void *SOAP_FMAC4 | SOAP_DOM_EXTERNAL_NAMESPACE::soap_dupelement (struct soap *, const void *, int)
SOAP_FMAC3 void SOAP_FMAC4 | SOAP_DOM_EXTERNAL_NAMESPACE::soap_delelement (const void *, int)
SOAP_FMAC3 void SOAP_FMAC4 | soap_markelement (struct soap *, const void *, int)
SOAP_FMAC3 void *SOAP_FMAC4 | soap_getelement (struct soap *, const char *, int *)
SOAP_FMAC3 int SOAP_FMAC4 | soap_putelement (struct soap *, const void *, const char *, int, int)
SOAP_FMAC3 void *SOAP_FMAC4 | soap_dupelement (struct soap *, const void *, int)
SOAP_FMAC3 void SOAP_FMAC4 | soap_delelement (const void *, int)
static int | out_element (struct soap *, const struct soap_dom_element *, const char *, const char *)
static int | out_attribute (struct soap *, const char *, const char *, const char *, int)
static const char * | soap_push_prefix (struct soap *, const char *, size_t, const char *, int, int)
static const char * | soap_prefix_of (struct soap *, const char *)
static const char * | soap_ns_to_set (struct soap *, const char *)
static const char * | soap_ns_to_get (struct soap *, const char *)
static const char * | soap_ns_to_find (struct soap *, const char *)
static struct soap_dom_element * | new_element (struct soap *)
static struct soap_dom_attribute * | new_attribute (struct soap *)
static int | soap_tag_match (const char *, const char *)
static int | soap_patt_match (const char *, const char *)
static int | soap_name_match (const char *, const char *)
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_dup_xsd__anyType (struct soap *soap, struct soap_dom_element *d, const struct soap_dom_element *a)
SOAP_FMAC1 void SOAP_FMAC2 | soap_del_xsd__anyType (const struct soap_dom_element *a)
SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 | soap_dup_xsd__anyAttribute (struct soap *soap, struct soap_dom_attribute *d, const struct soap_dom_attribute *a)
SOAP_FMAC1 void SOAP_FMAC2 | soap_del_xsd__anyAttribute (const struct soap_dom_attribute *a)
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_elt_new (struct soap *soap, const char *ns, const char *tag)
| Returns pointer to new xsd__anyType DOM element node.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_elt_new_w (struct soap *soap, const char *ns, const wchar_t *tag)
| Returns pointer to new xsd__anyType DOM element node.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_elt_set (struct soap_dom_element *elt, const char *ns, const char *tag)
| Set xsd__anyType DOM element namespace URI and tag name.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_elt_set_w (struct soap_dom_element *elt, const char *ns, const wchar_t *tag)
| Set xsd__anyType DOM element namespace URI and tag name.
SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 | soap_att (struct soap_dom_element *elt, const char *ns, const char *tag)
| Populate xsd__anyType DOM element node with an attribute node, if the attribute does not already exists.
SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 | soap_att_w (struct soap_dom_element *elt, const char *ns, const wchar_t *tag)
| Populate xsd__anyType DOM element node with an attribute node, if the attribute does not already exists.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_elt (struct soap_dom_element *elt, const char *ns, const char *tag)
| Populate xsd__anyType DOM element node with a child element node.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_elt_w (struct soap_dom_element *elt, const char *ns, const wchar_t *tag)
| Populate xsd__anyType DOM element node with a child element node.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_nth_elt (struct soap_dom_element *elt, const char *ns, const char *tag, size_t n)
| Populate xsd__anyType DOM element node with an N-th child element node.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_nth_elt_w (struct soap_dom_element *elt, const char *ns, const wchar_t *tag, size_t n)
| Populate xsd__anyType DOM element node with an N-th child element node.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_nth (struct soap_dom_element *elt, size_t n)
| Add a N-th child element with the same namespace and tag name as a xsd__anyType DOM child element node at position one (1) in a sibling list.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_add_att (struct soap_dom_element *elt, const struct soap_dom_attribute *node)
| Add an attribute node to an xsd__anyType DOM element node.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_add_elt (struct soap_dom_element *elt, const struct soap_dom_element *node)
| Add a child element node to an xsd__anyType DOM element node.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_add_atts (struct soap_dom_element *elt, const struct soap_dom_attribute *atts)
| Copy list of attribute nodes to an xsd__anyType DOM element node.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_add_elts (struct soap_dom_element *elt, const struct soap_dom_element *elts)
| Copy list of element nodes to an xsd__anyType DOM element node as children.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_elt_bool (struct soap_dom_element *elt, LONG64 b)
| Set text of an xsd__anyType DOM element node to Boolean "false" or "true".
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_elt_int (struct soap_dom_element *elt, LONG64 n)
| Set text of an xsd__anyType DOM element node to a 64 bit integer value.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_elt_double (struct soap_dom_element *elt, double x)
| Set text of an xsd__anyType DOM element node to a double float value.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_elt_text (struct soap_dom_element *elt, const char *text)
| Set text of an xsd__anyType DOM element node.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_elt_text_w (struct soap_dom_element *elt, const wchar_t *text)
| Set text of an xsd__anyType DOM element node.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_elt_node (struct soap_dom_element *elt, const void *node, int type)
| Set an xsd__anyType DOM element node to point to a serializable object.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_elt_copy (struct soap_dom_element *elt, const struct soap_dom_element *node)
| Copy an xsd__anyType DOM element node to another (not a deep copy).
SOAP_FMAC1 int SOAP_FMAC2 | soap_elt_match (const struct soap_dom_element *elt, const char *ns, const char *patt)
| Match the namespace URI and tag name of an xsd__anyType DOM element node against a pattern.
SOAP_FMAC1 int SOAP_FMAC2 | soap_elt_match_w (const struct soap_dom_element *elt, const char *ns, const wchar_t *patt)
| Match the namespace URI and tag name of an xsd__anyType DOM element node against a pattern.
SOAP_FMAC1 const char *SOAP_FMAC2 | soap_elt_get_ns (const struct soap_dom_element *elt)
| Get the namespace URI of an xsd__anyType DOM element node.
SOAP_FMAC1 const char *SOAP_FMAC2 | soap_elt_get_tag (const struct soap_dom_element *elt)
| Get the tag name of an xsd__anyType DOM element node, if any.
SOAP_FMAC1 int SOAP_FMAC2 | soap_elt_is_true (const struct soap_dom_element *elt)
| Return nonzero if xsd__anyType DOM element node text is Boolean "true" or "1".
SOAP_FMAC1 int SOAP_FMAC2 | soap_elt_is_false (const struct soap_dom_element *elt)
| Return nonzero if xsd__anyType DOM element node text is Boolean "false" or "0".
SOAP_FMAC1 int SOAP_FMAC2 | soap_elt_get_int (const struct soap_dom_element *elt)
| Return integer value of numeric text of xsd__anyType DOM element node, requires non-NULL soap context in the DOM.
SOAP_FMAC1 long SOAP_FMAC2 | soap_elt_get_long (const struct soap_dom_element *elt)
| Return long integer value of numeric text of xsd__anyType DOM element node, requires non-NULL soap context in the DOM.
SOAP_FMAC1 LONG64 SOAP_FMAC2 | soap_elt_get_LONG64 (const struct soap_dom_element *elt)
| Return 64 bit integer value of numeric text of xsd__anyType DOM element node, requires non-NULL soap context in the DOM.
SOAP_FMAC1 double SOAP_FMAC2 | soap_elt_get_double (const struct soap_dom_element *elt)
| Return double float value of decimal text of xsd__anyType DOM element node, requires non-NULL soap context in the DOM.
SOAP_FMAC1 const char *SOAP_FMAC2 | soap_elt_get_text (const struct soap_dom_element *elt)
| Return text of xsd__anyType DOM element node.
SOAP_FMAC1 const void *SOAP_FMAC2 | soap_elt_get_node (const struct soap_dom_element *elt, int type)
| Get pointer to deserialized object stored in xsd__anyType DOM element node.
SOAP_FMAC1 int SOAP_FMAC2 | soap_elt_get_type (const struct soap_dom_element *elt, const void **node)
| Get pointer to deserialized object stored in xsd__anyType DOM element node.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_elt_parent (const struct soap_dom_element *elt)
| Return pointer to parent of an xsd__anyType DOM element node.
SOAP_FMAC1 size_t SOAP_FMAC2 | soap_elt_depth (const struct soap_dom_element *elt)
| Return depth from the root node of an xsd__anyType DOM element node.
SOAP_FMAC1 size_t SOAP_FMAC2 | soap_elt_index (const struct soap_dom_element *elt)
| Return child index of an xsd__anyType DOM child element node in sibling list.
SOAP_FMAC1 size_t SOAP_FMAC2 | soap_elt_len (const struct soap_dom_element *elt)
| Return number of siblings of an xsd__anyType DOM child node that have the same namespace URI and tag name.
SOAP_FMAC1 size_t SOAP_FMAC2 | soap_elt_nth (const struct soap_dom_element *elt)
| Return index of an xsd__anyType DOM child node among siblings that have the same namespace URI and tag name.
SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 | soap_att_new (struct soap *soap, const char *ns, const char *tag)
| Returns pointer to new xsd__anyAttribute DOM attribute node.
SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 | soap_att_new_w (struct soap *soap, const char *ns, const wchar_t *tag)
| Returns pointer to new xsd__anyAttribute DOM attribute node.
SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 | soap_att_set (struct soap_dom_attribute *att, const char *ns, const char *tag)
| Set xsd__anyAttribute DOM attribute namespace URI and tag name.
SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 | soap_att_set_w (struct soap_dom_attribute *att, const char *ns, const wchar_t *tag)
| Set xsd__anyAttribute DOM attribute namespace URI and tag name.
SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 | soap_att_add (struct soap_dom_attribute *att, const char *ns, const char *tag)
| Add an attribute node to an xsd__anyAttribute DOM attribute node, if the attribute does not already exists, to create or extend an attribute list.
SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 | soap_att_add_w (struct soap_dom_attribute *att, const char *ns, const wchar_t *tag)
| Add an attribute node to an xsd__anyAttribute DOM attribute node, if the attribute does not already exists, to create or extend an attribute list.
SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 | soap_att_bool (struct soap_dom_attribute *att, LONG64 b)
| Set text of an xsd__anyAttribute DOM attribute node to Boolean "false" or "true".
SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 | soap_att_int (struct soap_dom_attribute *att, LONG64 n)
| Set text of an xsd__anyAttribute DOM attribute node to a 64 bit integer value.
SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 | soap_att_double (struct soap_dom_attribute *att, double x)
| Set text of an xsd__anyAttribute DOM attribute node to a double float value.
SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 | soap_att_text (struct soap_dom_attribute *att, const char *text)
| Set text of an xsd__anyAttribute DOM attribute node.
SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 | soap_att_text_w (struct soap_dom_attribute *att, const wchar_t *text)
| Set text of an xsd__anyAttribute DOM attribute node.
SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 | soap_att_copy (struct soap_dom_attribute *att, const struct soap_dom_attribute *node)
| Copy an xsd__anyAttribute DOM attribute node to another (not a deep copy).
SOAP_FMAC1 int SOAP_FMAC2 | soap_att_match (const struct soap_dom_attribute *att, const char *ns, const char *patt)
| Match the namespace URI and tag name of an xsd__anyAttribute DOM attribute node against a pattern.
SOAP_FMAC1 int SOAP_FMAC2 | soap_att_match_w (const struct soap_dom_attribute *att, const char *ns, const wchar_t *patt)
| Match the namespace URI and tag name of an xsd__anyAttribute DOM attribute node against a pattern.
SOAP_FMAC1 const char *SOAP_FMAC2 | soap_att_get_ns (const struct soap_dom_attribute *att)
| Get the namespace URI of an xsd__anyAttribute DOM attribute node.
SOAP_FMAC1 const char *SOAP_FMAC2 | soap_att_get_tag (const struct soap_dom_attribute *att)
| Get the tag name of an xsd__anyAttribute DOM attribute node.
SOAP_FMAC1 int SOAP_FMAC2 | soap_att_is_true (const struct soap_dom_attribute *att)
| Return nonzero if xsd__anyAttribute DOM attribute node text is Boolean "true" or "1".
SOAP_FMAC1 int SOAP_FMAC2 | soap_att_is_false (const struct soap_dom_attribute *att)
| Return nonzero if xsd__anyAttribute DOM attribute node text is Boolean "false" or "0".
SOAP_FMAC1 int SOAP_FMAC2 | soap_att_get_int (const struct soap_dom_attribute *att)
| Return integer value of numeric text of xsd__anyAttribute DOM attribute node, requires non-NULL soap context in the DOM.
SOAP_FMAC1 long SOAP_FMAC2 | soap_att_get_long (const struct soap_dom_attribute *att)
| Return long integer value of numeric text of xsd__anyAttribute DOM attribute node, requires non-NULL soap context in the DOM.
SOAP_FMAC1 LONG64 SOAP_FMAC2 | soap_att_get_LONG64 (const struct soap_dom_attribute *att)
| Return 64 bit integer value of numeric text of xsd__anyAttribute DOM attribute node, requires non-NULL soap context in the DOM.
SOAP_FMAC1 double SOAP_FMAC2 | soap_att_get_double (const struct soap_dom_attribute *att)
| Return double float value of decimal text of xsd__anyAttribute DOM attribute node, requires non-NULL soap context in the DOM.
SOAP_FMAC1 const char *SOAP_FMAC2 | soap_att_get_text (const struct soap_dom_attribute *att)
| Return text of xsd__anyAttribute DOM attribute node.
SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 | soap_att_first (struct soap_dom_element *elt)
| Returns pointer to first xsd__anyAttribute DOM attribute node of xsd__anyType DOM element node, if any.
SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 | soap_att_next (const struct soap_dom_attribute *att)
| Returns pointer to next xsd__anyAttribute DOM attribute node, if any.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_elt_first (struct soap_dom_element *elt)
| Returns pointer to first child element node of xsd__anyType DOM element node, if any.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_elt_next (const struct soap_dom_element *elt)
| Returns pointer to next xsd__anyType DOM child element node, if any.
SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 | soap_att_get (const struct soap_dom_element *elt, const char *ns, const char *tag)
| Get attribute node of an xsd__anyType DOM element node, if attribute exists.
SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 | soap_att_get_w (const struct soap_dom_element *elt, const char *ns, const wchar_t *tag)
| Get attribute node of an xsd__anyType DOM element node, if attribute exists.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_elt_get (const struct soap_dom_element *elt, const char *ns, const char *tag)
| Get child element node of an xsd__anyType DOM element node, if child element exists.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_elt_get_w (const struct soap_dom_element *elt, const char *ns, const wchar_t *tag)
| Get child element node of an xsd__anyType DOM element node, if child element exists.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_elt_get_next (const struct soap_dom_element *elt)
| Get next child element node that has the same namespace URI and tag name as the current child element node.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_elt_get_nth (struct soap_dom_element *elt, size_t n)
| Get N-th child element node that has the same namespace URI and tag name as the current child element node at position one (1) in the sibling list.
SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 | soap_att_find (struct soap_dom_element *elt, const char *ns, const char *patt)
| Find matching attribute node of an xsd__anyType DOM element node.
SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 | soap_att_find_next (const struct soap_dom_attribute *att, const char *ns, const char *patt)
| Find next matching attribute node of an xsd__anyType DOM element node.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_elt_find (struct soap_dom_element *elt, const char *ns, const char *patt)
| Find matching child element node of an xsd__anyType DOM element node.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_elt_find_next (const struct soap_dom_element *elt, const char *ns, const char *patt)
| Find next matching child element node of an xsd__anyType DOM element node.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_elt_find_type (struct soap_dom_element *elt, const char *ns, const char *patt, int type)
| Find matching child element node of an xsd__anyType DOM element node that has a deserialized object.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_elt_find_next_type (const struct soap_dom_element *elt, const char *ns, const char *patt, int type)
| Find next matching child element node of an xsd__anyType DOM element node that has a deserialized object.
SOAP_FMAC1 size_t SOAP_FMAC2 | soap_att_size (struct soap_dom_element *elt, const char *ns, const char *patt)
| Return number of matching attribute nodes of an xsd__anyType DOM element node.
SOAP_FMAC1 size_t SOAP_FMAC2 | soap_elt_size (struct soap_dom_element *elt, const char *ns, const char *patt)
| Return number of matching child element nodes of an xsd__anyType DOM element node.
SOAP_FMAC1 size_t SOAP_FMAC2 | soap_elt_size_type (struct soap_dom_element *elt, const char *ns, const char *patt, int type)
| Return number of matching child element nodes of an xsd__anyType DOM element node that have deserialized objects.
SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 | soap_dom_next_attribute (const struct soap_dom_attribute *att)
| Return next xsd__anyAttribute DOM attribute node in attribute list.
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_dom_next_element (const struct soap_dom_element *elt, const struct soap_dom_element *end)
| Return next xsd__anyType DOM element node in depth-first traversal of node graph (XPath recursive descent).
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_dom_find (struct soap_dom_element *begin, const struct soap_dom_element *end, const char *ns, const char *patt, int type)
| Find matching xsd__anyType DOM element node in depth-first traversal of node graph (XPath recursive descent).
SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 | soap_dom_find_next (const struct soap_dom_element *elt, const struct soap_dom_element *end, const char *ns, const char *patt, int type)
| Find next matching xsd__anyType DOM element node in depth-first traversal of node graph (XPath recursive descent).
SOAP_FMAC1 int SOAP_FMAC2 | soap_dom_call (struct soap *soap, const char *endpoint, const char *action, const struct soap_dom_element *in, struct soap_dom_element *out)
SOAP_FMAC1 int SOAP_FMAC2 | soap_dom_call (struct soap *soap, const char *endpoint, const char *action, const struct soap_dom_element &in, struct soap_dom_element &out)
SOAP_FMAC1 int SOAP_FMAC2 | soap_dom_call (struct soap *soap, const char *endpoint, const char *action, const struct soap_dom_element *in, struct soap_dom_element &out)
SOAP_FMAC1 int SOAP_FMAC2 | soap_dom_call (struct soap *soap, const char *endpoint, const char *action, const struct soap_dom_element &in, struct soap_dom_element *out)
int | soap_write_xsd__anyType (struct soap *soap, xsd__anyType *dom)
| Write XML to current output (this is an auto-generted macro in soapH.h).
int | soap_read_xsd__anyType (struct soap *soap, xsd__anyType *dom)
| Parse XML from current input (this is an auto-generted macro in soapH.h).
std::ostream & | operator<< (std::ostream &o, const struct soap_dom_element &e)
std::istream & | operator>> (std::istream &i, struct soap_dom_element &e)

## Typedef Documentation

## ◆ xsd__anyAttribute

typedef soap_dom_attribute xsd__anyAttribute

The xsd__anyAttribute DOM attribute node structure (xsd__anyAttribute is a typedef of soap_dom_attribute).

## ◆ xsd__anyType

typedef soap_dom_element xsd__anyType

The xsd__anyType DOM element node structure (xsd__anyType is a typedef of soap_dom_element).

## Function Documentation

## ◆ new_attribute()

struct soap_dom_attribute * new_attribute | ( | struct soap * | soap | ) |

static

## ◆ new_element()

struct soap_dom_element * new_element | ( | struct soap * | soap | ) |

static

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | o,
|  | const struct soap_dom_element & | e )

## ◆ operator>>()

std::istream & operator>> | ( | std::istream & | i,
|  | struct soap_dom_element & | e )

## ◆ out_attribute()

int out_attribute | ( | struct soap * | soap,
|  | const char * | prefix,
|  | const char * | name,
|  | const char * | text,
|  | int | isearly )

static

## ◆ out_element()

int out_element | ( | struct soap * | soap,
|  | const struct soap_dom_element * | node,
|  | const char * | prefix,
|  | const char * | name )

static

## ◆ soap_add_att()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_add_att | ( | struct soap_dom_element * | elt,
|  | const struct soap_dom_attribute * | node )

Add an attribute node to an xsd__anyType DOM element node.

Parameters

  elt | pointer to xsd__anyType DOM element to populate
  node | pointer to xsd__anyAttribute attribute node to copy and add to DOM element elt

Returns
  elt

## ◆ soap_add_atts()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_add_atts | ( | struct soap_dom_element * | elt,
|  | const struct soap_dom_attribute * | atts )

Copy list of attribute nodes to an xsd__anyType DOM element node.

Parameters

  elt | pointer to xsd__anyType DOM element to populate
  atts | pointer to list of xsd__anyAttribute attribute nodes to copy and add to DOM element elt

Returns
  elt

## ◆ soap_add_elt()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_add_elt | ( | struct soap_dom_element * | elt,
|  | const struct soap_dom_element * | node )

Add a child element node to an xsd__anyType DOM element node.

Parameters

  elt | pointer to xsd__anyType DOM element to populate
  node | pointer to element node to copy and add as a child to DOM element elt

Returns
  elt

## ◆ soap_add_elts()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_add_elts | ( | struct soap_dom_element * | elt,
|  | const struct soap_dom_element * | elts )

Copy list of element nodes to an xsd__anyType DOM element node as children.

Parameters

  elt | pointer to xsd__anyType DOM element to populate
  elts | pointer to list of xsd__anyType DOM element nodes to copy and add as children to DOM element elt

Returns
  elt

## ◆ soap_att()

SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 soap_att | ( | struct soap_dom_element * | elt,
|  | const char * | ns,
|  | const char * | tag )

Populate xsd__anyType DOM element node with an attribute node, if the attribute does not already exists.

Parameters

  elt | pointer to xsd__anyType DOM element to populate
  ns | namespace URI string or NULL of attribute
  tag | (un)qualified tag name string of attribute

Returns
  pointer to xsd__anyAttribute attribute node (new attribute node if none matches)

## ◆ soap_att_add()

SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 soap_att_add | ( | struct soap_dom_attribute * | att,
|  | const char * | ns,
|  | const char * | tag )

Add an attribute node to an xsd__anyAttribute DOM attribute node, if the attribute does not already exists, to create or extend an attribute list.

Parameters

  att | pointer to xsd__anyAttribute DOM attribute
  ns | namespace URI string or NULL of attribute
  tag | (un)qualified tag name string of attribute

Returns
  pointer to xsd__anyAttribute attribute node (new attribute node if none matches in the list)

## ◆ soap_att_add_w()

SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 soap_att_add_w | ( | struct soap_dom_attribute * | att,
|  | const char * | ns,
|  | const wchar_t * | tag )

Add an attribute node to an xsd__anyAttribute DOM attribute node, if the attribute does not already exists, to create or extend an attribute list.

Parameters

  att | pointer to xsd__anyAttribute DOM attribute
  ns | namespace URI string or NULL of attribute
  tag | (un)qualified tag name wide string of attribute

Returns
  pointer to xsd__anyAttribute attribute node (new attribute node if none matches in the list)

## ◆ soap_att_bool()

SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 soap_att_bool | ( | struct soap_dom_attribute * | att,
|  | LONG64 | b )

Set text of an xsd__anyAttribute DOM attribute node to Boolean "false" or "true".

Parameters

  att | pointer to xsd__anyAttribute DOM attribute node to set
  b | Boolean value (zero = false, nonzero = true)

Returns
  att

## ◆ soap_att_copy()

SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 soap_att_copy | ( | struct soap_dom_attribute * | att,
|  | const struct soap_dom_attribute * | node )

Copy an xsd__anyAttribute DOM attribute node to another (not a deep copy).

Parameters

  att | pointer to xsd__anyAttribute DOM attribute node to copy to (destination)
  node | pointer to xsd__anyAttribute DOM attribute node to copy from (source)

Returns
  att

## ◆ soap_att_double()

SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 soap_att_double | ( | struct soap_dom_attribute * | att,
|  | double | x )

Set text of an xsd__anyAttribute DOM attribute node to a double float value.

Parameters

  att | pointer to xsd__anyAttribute DOM attribute node to set
  x | double float value (NaN and +/-INF are also supported)

Returns
  att

## ◆ soap_att_find()

SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 soap_att_find | ( | struct soap_dom_element * | elt,
|  | const char * | ns,
|  | const char * | patt )

Find matching attribute node of an xsd__anyType DOM element node.

Parameters

  elt | pointer to xsd__anyType DOM element node
  ns | namespace URI string pattern ("*" matches any, "" matches the null (empty) namespace, NULL matches the null (empty) namespace if tag is unqualified or the namespace from namespace table if tag is qualified)
  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any)

Returns
  pointer to xsd__anyAttribute DOM attribute node or NULL if not exists

## ◆ soap_att_find_next()

SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 soap_att_find_next | ( | const struct soap_dom_attribute * | att,
|  | const char * | ns,
|  | const char * | patt )

Find next matching attribute node of an xsd__anyType DOM element node.

Parameters

  att | pointer to current xsd__anyAttribute DOM attribute node
  ns | namespace URI string pattern ("*" matches any, "" matches the null (empty) namespace, NULL matches the null (empty) namespace if tag is unqualified or the namespace from namespace table if tag is qualified)
  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any)

Returns
  pointer to xsd__anyAttribute DOM attribute node or NULL if not exists

## ◆ soap_att_first()

SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 soap_att_first | ( | struct soap_dom_element * | elt | ) |

Returns pointer to first xsd__anyAttribute DOM attribute node of xsd__anyType DOM element node, if any.

Parameters

  elt | pointer to xsd__anyType DOM element node

Returns
  pointer to xsd__anyAttribute DOM attribute node or NULL if none

## ◆ soap_att_get()

SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 soap_att_get | ( | const struct soap_dom_element * | elt,
|  | const char * | ns,
|  | const char * | tag )

Get attribute node of an xsd__anyType DOM element node, if attribute exists.

Parameters

  elt | pointer to xsd__anyType DOM element node
  ns | namespace URI string (NULL matches the null (empty) namespace if tag is unqualified) of attribute
  tag | (un)qualified tag name string of attribute

Returns
  pointer to xsd__anyAttribute DOM attribute node or NULL if not exists

## ◆ soap_att_get_double()

SOAP_FMAC1 double SOAP_FMAC2 soap_att_get_double | ( | const struct soap_dom_attribute * | att | ) |

Return double float value of decimal text of xsd__anyAttribute DOM attribute node, requires non-NULL soap context in the DOM.

Parameters

  att | pointer to xsd__anyAttribute DOM attribute node

Returns
  double float value or NaN if text is not numeric

## ◆ soap_att_get_int()

SOAP_FMAC1 int SOAP_FMAC2 soap_att_get_int | ( | const struct soap_dom_attribute * | att | ) |

Return integer value of numeric text of xsd__anyAttribute DOM attribute node, requires non-NULL soap context in the DOM.

Parameters

  att | pointer to xsd__anyAttribute DOM attribute node

Returns
  integer value or 0 if text is not numeric

## ◆ soap_att_get_long()

SOAP_FMAC1 long SOAP_FMAC2 soap_att_get_long | ( | const struct soap_dom_attribute * | att | ) |

Return long integer value of numeric text of xsd__anyAttribute DOM attribute node, requires non-NULL soap context in the DOM.

Parameters

  att | pointer to xsd__anyAttribute DOM attribute node

Returns
  long integer value or 0 if text is not numeric

## ◆ soap_att_get_LONG64()

SOAP_FMAC1 LONG64 SOAP_FMAC2 soap_att_get_LONG64 | ( | const struct soap_dom_attribute * | att | ) |

Return 64 bit integer value of numeric text of xsd__anyAttribute DOM attribute node, requires non-NULL soap context in the DOM.

Parameters

  att | pointer to xsd__anyAttribute DOM attribute node

Returns
  64 bit integer value or 0 if text is not numeric

## ◆ soap_att_get_ns()

SOAP_FMAC1 const char *SOAP_FMAC2 soap_att_get_ns | ( | const struct soap_dom_attribute * | att | ) |

Get the namespace URI of an xsd__anyAttribute DOM attribute node.

Parameters

  att | pointer to xsd__anyAttribute DOM attribute node

Returns
  namespace URI string or NULL

## ◆ soap_att_get_tag()

SOAP_FMAC1 const char *SOAP_FMAC2 soap_att_get_tag | ( | const struct soap_dom_attribute * | att | ) |

Get the tag name of an xsd__anyAttribute DOM attribute node.

Parameters

  att | pointer to xsd__anyAttribute DOM attribute node

Returns
  tag name string or NULL

## ◆ soap_att_get_text()

SOAP_FMAC1 const char *SOAP_FMAC2 soap_att_get_text | ( | const struct soap_dom_attribute * | att | ) |

Return text of xsd__anyAttribute DOM attribute node.

Parameters

  att | pointer to xsd__anyAttribute DOM attribute node

Returns
  string or NULL

## ◆ soap_att_get_w()

SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 soap_att_get_w | ( | const struct soap_dom_element * | elt,
|  | const char * | ns,
|  | const wchar_t * | tag )

Get attribute node of an xsd__anyType DOM element node, if attribute exists.

Parameters

  elt | pointer to xsd__anyType DOM element node
  ns | namespace URI string (NULL matches the null (empty) namespace if tag is unqualified) of attribute
  tag | (un)qualified tag name wide string of attribute

Returns
  pointer to xsd__anyAttribute DOM attribute node or NULL if not exists

## ◆ soap_att_int()

SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 soap_att_int | ( | struct soap_dom_attribute * | att,
|  | LONG64 | n )

Set text of an xsd__anyAttribute DOM attribute node to a 64 bit integer value.

Parameters

  att | pointer to xsd__anyAttribute DOM attribute node to set
  n | 64 bit integer value

Returns
  att

## ◆ soap_att_is_false()

SOAP_FMAC1 int SOAP_FMAC2 soap_att_is_false | ( | const struct soap_dom_attribute * | att | ) |

Return nonzero if xsd__anyAttribute DOM attribute node text is Boolean "false" or "0".

Parameters

  att | pointer to xsd__anyAttribute DOM attribute node

Returns
  zero (not "false" or "0") or nonzero ("false" or "0")

## ◆ soap_att_is_true()

SOAP_FMAC1 int SOAP_FMAC2 soap_att_is_true | ( | const struct soap_dom_attribute * | att | ) |

Return nonzero if xsd__anyAttribute DOM attribute node text is Boolean "true" or "1".

Parameters

  att | pointer to xsd__anyAttribute DOM attribute node

Returns
  zero (not "true" or "1") or nonzero ("true" or "1")

## ◆ soap_att_match()

SOAP_FMAC1 int SOAP_FMAC2 soap_att_match | ( | const struct soap_dom_attribute * | att,
|  | const char * | ns,
|  | const char * | patt )

Match the namespace URI and tag name of an xsd__anyAttribute DOM attribute node against a pattern.

Parameters

  att | pointer to xsd__anyAttribute DOM attribute node
  ns | namespace URI string pattern ("*" matches any, NULL and "" match the null (empty) namespace)
  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any)

Returns
  nonzero if match

## ◆ soap_att_match_w()

SOAP_FMAC1 int SOAP_FMAC2 soap_att_match_w | ( | const struct soap_dom_attribute * | att,
|  | const char * | ns,
|  | const wchar_t * | patt )

Match the namespace URI and tag name of an xsd__anyAttribute DOM attribute node against a pattern.

Parameters

  att | pointer to xsd__anyAttribute DOM attribute node
  ns | namespace URI string pattern ("*" matches any, NULL and "" match the null (empty) namespace)
  patt | (un)qualified tag name wide string pattern (NULL, "*", and "*:*" match any)

Returns
  nonzero if match

## ◆ soap_att_new()

SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 soap_att_new | ( | struct soap * | soap,
|  | const char * | ns,
|  | const char * | tag )

Returns pointer to new xsd__anyAttribute DOM attribute node.

Parameters

  soap | context that manages this object
  ns | namespace URI string or NULL
  tag | (un)qualified tag name string

Returns
  pointer to xsd__anyAttribute DOM attribute node

## ◆ soap_att_new_w()

SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 soap_att_new_w | ( | struct soap * | soap,
|  | const char * | ns,
|  | const wchar_t * | tag )

Returns pointer to new xsd__anyAttribute DOM attribute node.

Parameters

  soap | context that manages this object
  ns | namespace URI string or NULL
  tag | (un)qualified tag name wide string

Returns
  pointer to xsd__anyAttribute DOM attribute node

## ◆ soap_att_next()

SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 soap_att_next | ( | const struct soap_dom_attribute * | att | ) |

Returns pointer to next xsd__anyAttribute DOM attribute node, if any.

Parameters

  att | pointer to current xsd__anyAttribute DOM attribute node in attribute list

Returns
  pointer to xsd__anyAttribute DOM attribute node or NULL if none

## ◆ soap_att_set()

SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 soap_att_set | ( | struct soap_dom_attribute * | att,
|  | const char * | ns,
|  | const char * | tag )

Set xsd__anyAttribute DOM attribute namespace URI and tag name.

Parameters

  att | pointer to xsd__anyAttribute DOM attribute to set
  ns | namespace URI string or NULL
  tag | (un)qualified tag name string

Returns
  att

## ◆ soap_att_set_w()

SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 soap_att_set_w | ( | struct soap_dom_attribute * | att,
|  | const char * | ns,
|  | const wchar_t * | tag )

Set xsd__anyAttribute DOM attribute namespace URI and tag name.

Parameters

  att | pointer to xsd__anyAttribute DOM attribute to set
  ns | namespace URI string or NULL
  tag | (un)qualified tag name wide string

Returns
  att

## ◆ soap_att_size()

SOAP_FMAC1 size_t SOAP_FMAC2 soap_att_size | ( | struct soap_dom_element * | elt,
|  | const char * | ns,
|  | const char * | patt )

Return number of matching attribute nodes of an xsd__anyType DOM element node.

Parameters

  elt | pointer to xsd__anyType DOM element node
  ns | namespace URI string pattern ("*" matches any, "" matches the null (empty) namespace, NULL matches the null (empty) namespace if tag is unqualified or the namespace from namespace table if tag is qualified)
  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any)

Returns
  number of matches found

## ◆ soap_att_text()

SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 soap_att_text | ( | struct soap_dom_attribute * | att,
|  | const char * | text )

Set text of an xsd__anyAttribute DOM attribute node.

Parameters

  att | pointer to xsd__anyAttribute DOM attribute node to set
  text | string or NULL

Returns
  att

## ◆ soap_att_text_w()

SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 soap_att_text_w | ( | struct soap_dom_attribute * | att,
|  | const wchar_t * | text )

Set text of an xsd__anyAttribute DOM attribute node.

Parameters

  att | pointer to xsd__anyAttribute DOM attribute node to set
  text | wide string or NULL

Returns
  att

## ◆ soap_att_w()

SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 soap_att_w | ( | struct soap_dom_element * | elt,
|  | const char * | ns,
|  | const wchar_t * | tag )

Populate xsd__anyType DOM element node with an attribute node, if the attribute does not already exists.

Parameters

  elt | pointer to xsd__anyType DOM element to populate
  ns | namespace URI string or NULL of attribute
  tag | (un)qualified tag name wide string of attribute

Returns
  pointer to xsd__anyAttribute attribute node (new attribute node if none matches)

## ◆ soap_default_xsd__anyAttribute()

SOAP_FMAC1 void SOAP_FMAC2 soap_default_xsd__anyAttribute | ( | struct soap * | soap,
|  | struct soap_dom_attribute * | node )

## ◆ soap_default_xsd__anyType()

SOAP_FMAC1 void SOAP_FMAC2 soap_default_xsd__anyType | ( | struct soap * | soap,
|  | struct soap_dom_element * | node )

## ◆ soap_del_xsd__anyAttribute()

SOAP_FMAC1 void SOAP_FMAC2 soap_del_xsd__anyAttribute | ( | const struct soap_dom_attribute * | a | ) |

## ◆ soap_del_xsd__anyType()

SOAP_FMAC1 void SOAP_FMAC2 soap_del_xsd__anyType | ( | const struct soap_dom_element * | a | ) |

## ◆ soap_delelement()

SOAP_FMAC3 void SOAP_FMAC4 soap_delelement | ( | const void * | ,
|  | int | )

## ◆ soap_dom_call() [1/4]

SOAP_FMAC1 int SOAP_FMAC2 soap_dom_call | ( | struct soap * | soap,
|  | const char * | endpoint,
|  | const char * | action,
|  | const struct soap_dom_element & | in,
|  | struct soap_dom_element & | out )

## ◆ soap_dom_call() [2/4]

SOAP_FMAC1 int SOAP_FMAC2 soap_dom_call | ( | struct soap * | soap,
|  | const char * | endpoint,
|  | const char * | action,
|  | const struct soap_dom_element & | in,
|  | struct soap_dom_element * | out )

## ◆ soap_dom_call() [3/4]

SOAP_FMAC1 int SOAP_FMAC2 soap_dom_call | ( | struct soap * | soap,
|  | const char * | endpoint,
|  | const char * | action,
|  | const struct soap_dom_element * | in,
|  | struct soap_dom_element & | out )

## ◆ soap_dom_call() [4/4]

SOAP_FMAC1 int SOAP_FMAC2 soap_dom_call | ( | struct soap * | soap,
|  | const char * | endpoint,
|  | const char * | action,
|  | const struct soap_dom_element * | in,
|  | struct soap_dom_element * | out )

## ◆ soap_dom_find()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_dom_find | ( | struct soap_dom_element * | begin,
|  | const struct soap_dom_element * | end,
|  | const char * | ns,
|  | const char * | patt,
|  | int | type )

Find matching xsd__anyType DOM element node in depth-first traversal of node graph (XPath recursive descent).

Parameters

  begin | pointer to starting xsd__anyType DOM element node of node graph to search
  end | pointer to the ending xsd__anyType DOM element node (exclusive), usually the starting node of the graph traversal
  ns | namespace URI string pattern ("*" matches any, "" matches the null (empty) namespace, NULL matches the null (empty) namespace if tag is unqualified or the namespace from namespace table if tag is qualified)
  patt | (un)qualified tag name string pattern (use '@' to match attributes, NULL, "*" and "*:*" match any, "" matches unnamed node)
  type | SOAP_TYPE_T type of deserialized object of type T to match or 0

Returns
  pointer to xsd__anyType DOM node or NULL if none or if next node would be the ending node

## ◆ soap_dom_find_next()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_dom_find_next | ( | const struct soap_dom_element * | elt,
|  | const struct soap_dom_element * | end,
|  | const char * | ns,
|  | const char * | patt,
|  | int | type )

Find next matching xsd__anyType DOM element node in depth-first traversal of node graph (XPath recursive descent).

Parameters

  elt | pointer to current xsd__anyType DOM element node of node graph to search
  end | pointer to the ending xsd__anyType DOM element node, usually the starting node of the graph traversal
  ns | namespace URI string pattern ("*" matches any, "" matches the null (empty) namespace, NULL matches the null (empty) namespace if tag is unqualified or the namespace from namespace table if tag is qualified)
  patt | (un)qualified tag name string pattern (use '@' to match attributes, NULL, "*" and "*:*" match any, "" matches unnamed node)
  type | SOAP_TYPE_T type of deserialized object of type T to match or 0

Returns
  pointer to xsd__anyType DOM node or NULL if none or if next node would be the ending node

## ◆ soap_dom_next_attribute()

SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 soap_dom_next_attribute | ( | const struct soap_dom_attribute * | att | ) |

Return next xsd__anyAttribute DOM attribute node in attribute list.

Parameters

  att | pointer to current xsd__anyAttribute DOM attribute node

Returns
  pointer to xsd__anyAttribute DOM node or NULL if none

## ◆ soap_dom_next_element()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_dom_next_element | ( | const struct soap_dom_element * | elt,
|  | const struct soap_dom_element * | end )

Return next xsd__anyType DOM element node in depth-first traversal of node graph (XPath recursive descent).

Parameters

  elt | pointer to current xsd__anyType DOM element node
  end | pointer to the ending xsd__anyType DOM element node (exclusive), usually the starting node of the graph traversal

Returns
  pointer to xsd__anyType DOM node or NULL if none or if next node would be the ending node

## ◆ soap_dup_xsd__anyAttribute()

SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 soap_dup_xsd__anyAttribute | ( | struct soap * | soap,
|  | struct soap_dom_attribute * | d,
|  | const struct soap_dom_attribute * | a )

## ◆ soap_dup_xsd__anyType()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_dup_xsd__anyType | ( | struct soap * | soap,
|  | struct soap_dom_element * | d,
|  | const struct soap_dom_element * | a )

## ◆ soap_dupelement()

SOAP_FMAC3 void *SOAP_FMAC4 soap_dupelement | ( | struct soap * | ,
|  | const void * | ,
|  | int | )

## ◆ soap_elt()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_elt | ( | struct soap_dom_element * | elt,
|  | const char * | ns,
|  | const char * | tag )

Populate xsd__anyType DOM element node with a child element node.

Parameters

  elt | pointer to xsd__anyType DOM element to populate
  ns | namespace URI string or NULL of child element
  tag | (un)qualified tag name string of child element or NULL (unnamed node)

Returns
  pointer to child element node (new child element node if none matches)

## ◆ soap_elt_bool()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_elt_bool | ( | struct soap_dom_element * | elt,
|  | LONG64 | b )

Set text of an xsd__anyType DOM element node to Boolean "false" or "true".

Parameters

  elt | pointer to xsd__anyType DOM element node to set
  b | Boolean value (zero = false, nonzero = true)

Returns
  elt

## ◆ soap_elt_copy()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_elt_copy | ( | struct soap_dom_element * | elt,
|  | const struct soap_dom_element * | node )

Copy an xsd__anyType DOM element node to another (not a deep copy).

Parameters

  elt | pointer to xsd__anyType DOM element node to copy to (destination)
  node | pointer to xsd__anyType DOM element node to copy from (source)

Returns
  elt

## ◆ soap_elt_depth()

SOAP_FMAC1 size_t SOAP_FMAC2 soap_elt_depth | ( | const struct soap_dom_element * | elt | ) |

Return depth from the root node of an xsd__anyType DOM element node.

Parameters

  elt | pointer to xsd__anyType DOM element node

Returns
  depth from root node, zero if node is a root node and has no parent

## ◆ soap_elt_double()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_elt_double | ( | struct soap_dom_element * | elt,
|  | double | x )

Set text of an xsd__anyType DOM element node to a double float value.

Parameters

  elt | pointer to xsd__anyType DOM element node to set
  x | double float value (NaN and +/-INF are also supported)

Returns
  elt

## ◆ soap_elt_find()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_elt_find | ( | struct soap_dom_element * | elt,
|  | const char * | ns,
|  | const char * | patt )

Find matching child element node of an xsd__anyType DOM element node.

Parameters

  elt | pointer to xsd__anyType DOM element node
  ns | namespace URI string pattern ("*" matches any, "" matches the null (empty) namespace, NULL matches the null (empty) namespace if tag is unqualified or the namespace from namespace table if tag is qualified)
  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any, "" matches unnamed node)

Returns
  pointer to xsd__anyType DOM child element node or NULL if not exists

## ◆ soap_elt_find_next()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_elt_find_next | ( | const struct soap_dom_element * | elt,
|  | const char * | ns,
|  | const char * | patt )

Find next matching child element node of an xsd__anyType DOM element node.

Parameters

  elt | pointer to current xsd__anyType DOM child element node
  ns | namespace URI string pattern ("*" matches any, "" matches the null (empty) namespace, NULL matches the null (empty) namespace if tag is unqualified or the namespace from namespace table if tag is qualified)
  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any, "" matches unnamed node)

Returns
  pointer to xsd__anyType DOM child element node or NULL if not exists

## ◆ soap_elt_find_next_type()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_elt_find_next_type | ( | const struct soap_dom_element * | elt,
|  | const char * | ns,
|  | const char * | patt,
|  | int | type )

Find next matching child element node of an xsd__anyType DOM element node that has a deserialized object.

Parameters

  elt | pointer to current xsd__anyType DOM child element node
  ns | namespace URI string pattern ("*" matches any, "" matches the null (empty) namespace, NULL matches the null (empty) namespace if tag is unqualified or the namespace from namespace table if tag is qualified)
  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any, "" matches unnamed node)
  type | SOAP_TYPE_T type of deserialized object of type T to match or 0

Returns
  pointer to xsd__anyType DOM child element node or NULL if not exists

## ◆ soap_elt_find_type()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_elt_find_type | ( | struct soap_dom_element * | elt,
|  | const char * | ns,
|  | const char * | patt,
|  | int | type )

Find matching child element node of an xsd__anyType DOM element node that has a deserialized object.

Parameters

  elt | pointer to xsd__anyType DOM element node
  ns | namespace URI string pattern ("*" matches any, "" matches the null (empty) namespace, NULL matches the null (empty) namespace if tag is unqualified or the namespace from namespace table if tag is qualified)
  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any, "" matches unnamed node)
  type | SOAP_TYPE_T type of deserialized object of type T to match or 0

Returns
  pointer to xsd__anyType DOM child element node or NULL if not exists

## ◆ soap_elt_first()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_elt_first | ( | struct soap_dom_element * | elt | ) |

Returns pointer to first child element node of xsd__anyType DOM element node, if any.

Parameters

  elt | pointer to xsd__anyType DOM element node

Returns
  pointer to xsd__anyType DOM child element node or NULL if none

## ◆ soap_elt_get()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_elt_get | ( | const struct soap_dom_element * | elt,
|  | const char * | ns,
|  | const char * | tag )

Get child element node of an xsd__anyType DOM element node, if child element exists.

Parameters

  elt | pointer to xsd__anyType DOM element node
  ns | namespace URI string (NULL matches the null (empty) namespace if tag is unqualified) of child element
  tag | (un)qualified tag name string (NULL matches unnamed node) of child element

Returns
  pointer to xsd__anyType DOM child element node or NULL if not exists

## ◆ soap_elt_get_double()

SOAP_FMAC1 double SOAP_FMAC2 soap_elt_get_double | ( | const struct soap_dom_element * | elt | ) |

Return double float value of decimal text of xsd__anyType DOM element node, requires non-NULL soap context in the DOM.

Parameters

  elt | pointer to xsd__anyType DOM element node

Returns
  double float value or NaN if text is not numeric

## ◆ soap_elt_get_int()

SOAP_FMAC1 int SOAP_FMAC2 soap_elt_get_int | ( | const struct soap_dom_element * | elt | ) |

Return integer value of numeric text of xsd__anyType DOM element node, requires non-NULL soap context in the DOM.

Parameters

  elt | pointer to xsd__anyType DOM element node

Returns
  integer value or 0 if text is not numeric

## ◆ soap_elt_get_long()

SOAP_FMAC1 long SOAP_FMAC2 soap_elt_get_long | ( | const struct soap_dom_element * | elt | ) |

Return long integer value of numeric text of xsd__anyType DOM element node, requires non-NULL soap context in the DOM.

Parameters

  elt | pointer to xsd__anyType DOM element node

Returns
  long integer value or 0 if text is not numeric

## ◆ soap_elt_get_LONG64()

SOAP_FMAC1 LONG64 SOAP_FMAC2 soap_elt_get_LONG64 | ( | const struct soap_dom_element * | elt | ) |

Return 64 bit integer value of numeric text of xsd__anyType DOM element node, requires non-NULL soap context in the DOM.

Parameters

  elt | pointer to xsd__anyType DOM element node

Returns
  64 bit integer value or 0 if text is not numeric

## ◆ soap_elt_get_next()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_elt_get_next | ( | const struct soap_dom_element * | elt | ) |

Get next child element node that has the same namespace URI and tag name as the current child element node.

Parameters

  elt | pointer to current xsd__anyType DOM child element node

Returns
  pointer to xsd__anyType DOM child element node or NULL if not exists

## ◆ soap_elt_get_node()

SOAP_FMAC1 const void *SOAP_FMAC2 soap_elt_get_node | ( | const struct soap_dom_element * | elt,
|  | int | type )

Get pointer to deserialized object stored in xsd__anyType DOM element node.

Parameters

  elt | pointer to xsd__anyType DOM element node
  type | SOAP_TYPE_T requested type to match

Returns
  pointer to deserialized object or NULL if type mismatch or when no deserialized object is present

## ◆ soap_elt_get_ns()

SOAP_FMAC1 const char *SOAP_FMAC2 soap_elt_get_ns | ( | const struct soap_dom_element * | elt | ) |

Get the namespace URI of an xsd__anyType DOM element node.

Parameters

  elt | pointer to xsd__anyType DOM element node

Returns
  namespace URI string or NULL

## ◆ soap_elt_get_nth()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_elt_get_nth | ( | struct soap_dom_element * | elt,
|  | size_t | n )

Get N-th child element node that has the same namespace URI and tag name as the current child element node at position one (1) in the sibling list.

Parameters

  elt | pointer to current xsd__anyType DOM child element node at position one (1) in the sibling list
  n | N-th element minus one located from the current element node at position one (1), 1 returns the current element (elt)

Returns
  pointer to xsd__anyType DOM child element node or NULL if not exists

## ◆ soap_elt_get_tag()

SOAP_FMAC1 const char *SOAP_FMAC2 soap_elt_get_tag | ( | const struct soap_dom_element * | elt | ) |

Get the tag name of an xsd__anyType DOM element node, if any.

Parameters

  elt | pointer to xsd__anyType DOM element node

Returns
  tag name string or NULL

## ◆ soap_elt_get_text()

SOAP_FMAC1 const char *SOAP_FMAC2 soap_elt_get_text | ( | const struct soap_dom_element * | elt | ) |

Return text of xsd__anyType DOM element node.

Parameters

  elt | pointer to xsd__anyType DOM element node

Returns
  string or NULL

## ◆ soap_elt_get_type()

SOAP_FMAC1 int SOAP_FMAC2 soap_elt_get_type | ( | const struct soap_dom_element * | elt,
|  | const void ** | node )

Get pointer to deserialized object stored in xsd__anyType DOM element node.

Parameters

  elt | pointer to xsd__anyType DOM element node
  node | pointer to pointer to void, to be set to point to deserialized object

Returns
  SOAP_TYPE_T type of deserialized object, or zero (0) if none

## ◆ soap_elt_get_w()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_elt_get_w | ( | const struct soap_dom_element * | elt,
|  | const char * | ns,
|  | const wchar_t * | tag )

Get child element node of an xsd__anyType DOM element node, if child element exists.

Parameters

  elt | pointer to xsd__anyType DOM element node
  ns | namespace URI string (NULL matches the null (empty) namespace if tag is unqualified) of child element
  tag | (un)qualified tag name wide string (NULL matches unnamed node) of child element

Returns
  pointer to xsd__anyType DOM child element node or NULL if not exists

## ◆ soap_elt_index()

SOAP_FMAC1 size_t SOAP_FMAC2 soap_elt_index | ( | const struct soap_dom_element * | elt | ) |

Return child index of an xsd__anyType DOM child element node in sibling list.

Parameters

  elt | pointer to xsd__anyType DOM element node

Returns
  nonzero index of child among siblings, or 0 if node is a root node and has no parent

## ◆ soap_elt_int()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_elt_int | ( | struct soap_dom_element * | elt,
|  | LONG64 | n )

Set text of an xsd__anyType DOM element node to a 64 bit integer value.

Parameters

  elt | pointer to xsd__anyType DOM element node to set
  n | 64 bit integer value

Returns
  elt

## ◆ soap_elt_is_false()

SOAP_FMAC1 int SOAP_FMAC2 soap_elt_is_false | ( | const struct soap_dom_element * | elt | ) |

Return nonzero if xsd__anyType DOM element node text is Boolean "false" or "0".

Parameters

  elt | pointer to xsd__anyType DOM element node

Returns
  zero (not "false" or "0") or nonzero ("false" or "0")

## ◆ soap_elt_is_true()

SOAP_FMAC1 int SOAP_FMAC2 soap_elt_is_true | ( | const struct soap_dom_element * | elt | ) |

Return nonzero if xsd__anyType DOM element node text is Boolean "true" or "1".

Parameters

  elt | pointer to xsd__anyType DOM element node

Returns
  zero (not "true" or "1") or nonzero ("true" or "1")

## ◆ soap_elt_len()

SOAP_FMAC1 size_t SOAP_FMAC2 soap_elt_len | ( | const struct soap_dom_element * | elt | ) |

Return number of siblings of an xsd__anyType DOM child node that have the same namespace URI and tag name.

Parameters

  elt | pointer to xsd__anyType DOM element node

Returns
  number of siblings plus one (for self) that have the same namespace URI and tag name

## ◆ soap_elt_match()

SOAP_FMAC1 int SOAP_FMAC2 soap_elt_match | ( | const struct soap_dom_element * | elt,
|  | const char * | ns,
|  | const char * | patt )

Match the namespace URI and tag name of an xsd__anyType DOM element node against a pattern.

Parameters

  elt | pointer to xsd__anyType DOM element node
  ns | namespace URI string pattern ("*" matches any, NULL and "" match the null (empty) namespace)
  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any, "" matches unnamed node)

Returns
  nonzero if match

## ◆ soap_elt_match_w()

SOAP_FMAC1 int SOAP_FMAC2 soap_elt_match_w | ( | const struct soap_dom_element * | elt,
|  | const char * | ns,
|  | const wchar_t * | patt )

Match the namespace URI and tag name of an xsd__anyType DOM element node against a pattern.

Parameters

  elt | pointer to xsd__anyType DOM element node
  ns | namespace URI string pattern ("*" matches any, NULL and "" match the null (empty) namespace)
  patt | (un)qualified tag name wide string pattern (NULL, "*", and "*:*" match any, "" matches unnamed node)

Returns
  nonzero if match

## ◆ soap_elt_new()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_elt_new | ( | struct soap * | soap,
|  | const char * | ns,
|  | const char * | tag )

Returns pointer to new xsd__anyType DOM element node.

Parameters

  soap | context that manages this object
  ns | namespace URI string or NULL
  tag | (un)qualified tag name string or NULL (unnamed node)

Returns
  pointer to xsd__anyType DOM element node

## ◆ soap_elt_new_w()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_elt_new_w | ( | struct soap * | soap,
|  | const char * | ns,
|  | const wchar_t * | tag )

Returns pointer to new xsd__anyType DOM element node.

Parameters

  soap | context that manages this object
  ns | namespace URI string or NULL
  tag | (un)qualified tag name wide string or NULL (unnamed node)

Returns
  pointer to xsd__anyType DOM element node

## ◆ soap_elt_next()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_elt_next | ( | const struct soap_dom_element * | elt | ) |

Returns pointer to next xsd__anyType DOM child element node, if any.

Parameters

  elt | pointer to current xsd__anyType DOM child element node in sibling list

Returns
  pointer to xsd__anyType DOM element node or NULL if none

## ◆ soap_elt_node()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_elt_node | ( | struct soap_dom_element * | elt,
|  | const void * | node,
|  | int | type )

Set an xsd__anyType DOM element node to point to a serializable object.

Parameters

  elt | pointer to xsd__anyType DOM element node to set
  node | pointer to serializable object
  type | SOAP_TYPE_T type of the serializable object of type T

Returns
  elt

## ◆ soap_elt_nth()

SOAP_FMAC1 size_t SOAP_FMAC2 soap_elt_nth | ( | const struct soap_dom_element * | elt | ) |

Return index of an xsd__anyType DOM child node among siblings that have the same namespace URI and tag name.

Parameters

  elt | pointer to xsd__anyType DOM element node

Returns
  nonzero N-th index (1 <= nth <= len), or 0 if element is root or is singular (has no siblings with the same namespace URI and tag name)

## ◆ soap_elt_parent()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_elt_parent | ( | const struct soap_dom_element * | elt | ) |

Return pointer to parent of an xsd__anyType DOM element node.

Parameters

  elt | pointer to xsd__anyType DOM element node

Returns
  pointer to xsd__anyType DOM element or NULL

## ◆ soap_elt_set()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_elt_set | ( | struct soap_dom_element * | elt,
|  | const char * | ns,
|  | const char * | tag )

Set xsd__anyType DOM element namespace URI and tag name.

Parameters

  elt | pointer to xsd__anyType DOM element to set
  ns | namespace URI string or NULL
  tag | (un)qualified tag name string or NULL (unnamed node)

Returns
  elt

## ◆ soap_elt_set_w()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_elt_set_w | ( | struct soap_dom_element * | elt,
|  | const char * | ns,
|  | const wchar_t * | tag )

Set xsd__anyType DOM element namespace URI and tag name.

Parameters

  elt | pointer to xsd__anyType DOM element to set
  ns | namespace URI string or NULL
  tag | (un)qualified tag name wide string or NULL (unnamed node)

Returns
  elt

## ◆ soap_elt_size()

SOAP_FMAC1 size_t SOAP_FMAC2 soap_elt_size | ( | struct soap_dom_element * | elt,
|  | const char * | ns,
|  | const char * | patt )

Return number of matching child element nodes of an xsd__anyType DOM element node.

Parameters

  elt | pointer to xsd__anyType DOM element node
  ns | namespace URI string pattern ("*" matches any, "" matches the null (empty) namespace, NULL matches the null (empty) namespace if tag is unqualified or the namespace from namespace table if tag is qualified)
  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any, "" matches unnamed node)

Returns
  number of matches found

## ◆ soap_elt_size_type()

SOAP_FMAC1 size_t SOAP_FMAC2 soap_elt_size_type | ( | struct soap_dom_element * | elt,
|  | const char * | ns,
|  | const char * | patt,
|  | int | type )

Return number of matching child element nodes of an xsd__anyType DOM element node that have deserialized objects.

Parameters

  elt | pointer to xsd__anyType DOM element node
  ns | namespace URI string pattern ("*" matches any, "" matches the null (empty) namespace, NULL matches the null (empty) namespace if tag is unqualified or the namespace from namespace table if tag is qualified)
  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any, "" matches unnamed node)
  type | SOAP_TYPE_T type of deserialized object of type T to match or 0

Returns
  number of matches found

## ◆ soap_elt_text()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_elt_text | ( | struct soap_dom_element * | elt,
|  | const char * | text )

Set text of an xsd__anyType DOM element node.

Parameters

  elt | pointer to xsd__anyType DOM element node to set
  text | string or NULL

Returns
  elt

## ◆ soap_elt_text_w()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_elt_text_w | ( | struct soap_dom_element * | elt,
|  | const wchar_t * | text )

Set text of an xsd__anyType DOM element node.

Parameters

  elt | pointer to xsd__anyType DOM element node to set
  text | wide string or NULL

Returns
  elt

## ◆ soap_elt_w()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_elt_w | ( | struct soap_dom_element * | elt,
|  | const char * | ns,
|  | const wchar_t * | tag )

Populate xsd__anyType DOM element node with a child element node.

Parameters

  elt | pointer to xsd__anyType DOM element to populate
  ns | namespace URI string or NULL of child element
  tag | (un)qualified tag name wide string of child element or NULL (unnamed node)

Returns
  pointer to xsd__anyType child element node (new child element node if none matches)

## ◆ soap_get_xsd__anyAttribute()

SOAP_FMAC3 struct soap_dom_attribute *SOAP_FMAC4 soap_get_xsd__anyAttribute | ( | struct soap * | ,
|  | struct soap_dom_attribute * | ,
|  | const char * | ,
|  | const char * | )

## ◆ soap_get_xsd__anyType()

SOAP_FMAC3 struct soap_dom_element *SOAP_FMAC4 soap_get_xsd__anyType | ( | struct soap * | ,
|  | struct soap_dom_element * | ,
|  | const char * | ,
|  | const char * | )

## ◆ soap_getelement()

SOAP_FMAC3 void *SOAP_FMAC4 soap_getelement | ( | struct soap * | ,
|  | const char * | ,
|  | int * | )

## ◆ soap_in_xsd__anyAttribute()

SOAP_FMAC1 struct soap_dom_attribute *SOAP_FMAC2 soap_in_xsd__anyAttribute | ( | struct soap * | soap,
|  | const char * | tag,
|  | struct soap_dom_attribute * | node,
|  | const char * | type )

## ◆ soap_in_xsd__anyType()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_in_xsd__anyType | ( | struct soap * | soap,
|  | const char * | tag,
|  | struct soap_dom_element * | node,
|  | const char * | type )

## ◆ soap_markelement()

SOAP_FMAC3 void SOAP_FMAC4 soap_markelement | ( | struct soap * | ,
|  | const void * | ,
|  | int | )

## ◆ soap_name_match()

int soap_name_match | ( | const char * | name,
|  | const char * | patt )

static

## ◆ soap_ns_to_find()

const char * soap_ns_to_find | ( | struct soap * | soap,
|  | const char * | tag )

static

## ◆ soap_ns_to_get()

const char * soap_ns_to_get | ( | struct soap * | soap,
|  | const char * | tag )

static

## ◆ soap_ns_to_set()

const char * soap_ns_to_set | ( | struct soap * | soap,
|  | const char * | tag )

static

## ◆ soap_nth()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_nth | ( | struct soap_dom_element * | elt,
|  | size_t | n )

Add a N-th child element with the same namespace and tag name as a xsd__anyType DOM child element node at position one (1) in a sibling list.

Parameters

  elt | pointer to xsd__anyType DOM child element at position one (1)
  n | additional child element position requested, counting from one (1) XPath style

Returns
  pointer to xsd__anyType child element node (new child element node if none exists at position n)

## ◆ soap_nth_elt()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_nth_elt | ( | struct soap_dom_element * | elt,
|  | const char * | ns,
|  | const char * | tag,
|  | size_t | n )

Populate xsd__anyType DOM element node with an N-th child element node.

Parameters

  elt | pointer to xsd__anyType DOM element to populate
  ns | namespace URI string or NULL of child element
  tag | (un)qualified tag name string of child element or NULL (unnamed node)
  n | child element position, counting from one (1) XPath style

Returns
  pointer to xsd__anyType child element node (new child element node if none matches)

## ◆ soap_nth_elt_w()

SOAP_FMAC1 struct soap_dom_element *SOAP_FMAC2 soap_nth_elt_w | ( | struct soap_dom_element * | elt,
|  | const char * | ns,
|  | const wchar_t * | tag,
|  | size_t | n )

Populate xsd__anyType DOM element node with an N-th child element node.

Parameters

  elt | pointer to xsd__anyType DOM element to populate
  ns | namespace URI string or NULL of child element
  tag | (un)qualified tag name wide string of child element or NULL (unnamed node)
  n | child element position, counting from one (1) XPath style

Returns
  pointer to xsd__anyType child element node (new child element node if none matches)

## ◆ soap_out_xsd__anyAttribute()

SOAP_FMAC1 int SOAP_FMAC2 soap_out_xsd__anyAttribute | ( | struct soap * | soap,
|  | const char * | tag,
|  | int | id,
|  | const struct soap_dom_attribute * | node,
|  | const char * | type )

## ◆ soap_out_xsd__anyType()

SOAP_FMAC1 int SOAP_FMAC2 soap_out_xsd__anyType | ( | struct soap * | soap,
|  | const char * | tag,
|  | int | id,
|  | const struct soap_dom_element * | node,
|  | const char * | type )

## ◆ soap_patt_match()

int soap_patt_match | ( | const char * | name,
|  | const char * | patt )

static

## ◆ soap_prefix_of()

const char * soap_prefix_of | ( | struct soap * | soap,
|  | const char * | ns )

static

## ◆ soap_push_prefix()

const char * soap_push_prefix | ( | struct soap * | soap,
|  | const char * | id,
|  | size_t | n,
|  | const char * | ns,
|  | int | isearly,
|  | int | iselement )

static

## ◆ soap_put_xsd__anyAttribute()

SOAP_FMAC3 int SOAP_FMAC4 soap_put_xsd__anyAttribute | ( | struct soap * | ,
|  | const struct soap_dom_attribute * | ,
|  | const char * | ,
|  | const char * | )

## ◆ soap_put_xsd__anyType()

SOAP_FMAC3 int SOAP_FMAC4 soap_put_xsd__anyType | ( | struct soap * | ,
|  | const struct soap_dom_element * | ,
|  | const char * | ,
|  | const char * | )

## ◆ soap_putelement()

SOAP_FMAC3 int SOAP_FMAC4 soap_putelement | ( | struct soap * | ,
|  | const void * | ,
|  | const char * | ,
|  | int | ,
|  | int | )

## ◆ soap_read_xsd__anyType()

int soap_read_xsd__anyType | ( | struct soap * | soap,
|  | xsd__anyType * | dom )

Parse XML from current input (this is an auto-generted macro in soapH.h).

Parameters

  soap | context that manages IO
  dom | root element node of the XML document

Returns
  SOAP_OK or an error code

## ◆ soap_serialize_xsd__anyAttribute()

SOAP_FMAC1 void SOAP_FMAC2 soap_serialize_xsd__anyAttribute | ( | struct soap * | soap,
|  | const struct soap_dom_attribute * | node )

## ◆ soap_serialize_xsd__anyType()

SOAP_FMAC1 void SOAP_FMAC2 soap_serialize_xsd__anyType | ( | struct soap * | soap,
|  | const struct soap_dom_element * | node )

## ◆ soap_tag_match()

int soap_tag_match | ( | const char * | name,
|  | const char * | tag )

static

## ◆ soap_write_xsd__anyType()

int soap_write_xsd__anyType | ( | struct soap * | soap,
|  | xsd__anyType * | dom )

Write XML to current output (this is an auto-generted macro in soapH.h).

Parameters

  soap | context that manages IO
  dom | root element node of the XML document

Returns
  SOAP_OK or an error code